Foreman - Bug #14170

Can’'t add new compute resource for GCE - 1.11.0-0.1.RC2.el7
03/13/2016 12:57 PM - Aanjaneya Mishra

Status: Closed
Priority: Normal
Assignee: Dominic Cleal
Category: Compute resources - GCE
Target version: 1.11.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases: 1.11.0
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3320
Description

| have just freshly installed Foreman using foreman-installer with few --enable arguments.

| Can't create new compute resource with GCE provider. When click on "Load zones" | receive test connection succeeded, zones get
loaded and the email column gets blank(unpopulates). However when | click "Submit" Nothing happens. The page just refreshes and
stays at same page. Again email column get blank.Checkin /var/log/foreman/production.log shows following relevant lines:

2016-03-13 11:41:58 [app] [I] Started PUT "/compute_resources/test_connection" for 86.14.xxx.xx at 2016-03-13 11:41:58 +0000
2016-03-13 11:41:58 [app] [I] Processing by ComputeResourcesController#test_connection as */*

2016-03-13 11:41:58 [app] [I] Parameters: {"utf8"=>"[l",
"authenticity_token"=>"/CavAaychnAn/SUOSIDXZZLnis0B9gfgz+48QAyxIMc=", "compute_resource"=>{"name"=>"hslegalprovision”,
"provider"=>"GCE", "description"=>"HS legal provision project on google cloud.", "project"=>"hs-legal-provision",
"email"=>"5858xxxxxxxx-compute@developer.gserviceaccount.com"”,
"key_path"=>"/usr/share/foreman/HS-Legal-Provision-12f24752b7a2.p12"}, "cr_id"=>"null"}

2016-03-13 11:41:58 [app] [I] CR_ID IS null

2016-03-13 11:41:59 [app] [I]] Rendered compute_resources/form/_gce.html.erb (199.5ms)

2016-03-13 11:41:59 [app] [I] Rendered compute_resources/_form.html.erb (203.9ms)

2016-03-13 11:41:59 [app] [I] Completed 200 OK in 821ms (Views: 204.6ms | ActiveRecord: 1.2ms)

2016-03-13 11:42:18 [app] [I] Started POST "/compute_resources" for 86.14.186.10 at 2016-03-13 11:42:18 +0000

2016-03-13 11:42:18 [app] [I] Processing by ComputeResourcesController#create as HTML

2016-03-13 11:42:18 [app] [I] Parameters: {“utf8"=>“D",
"authenticity_token"=>"/CavAaychnAn/SUOSIDXZZLnis0B9gfgz+48QAyxIMc=", "compute_resource"=>{"name"=>"hslegalprovision",
"provider"=>"GCE", "description"=>"HS legal provision project on google cloud.", "project"=>"hs-legal-provision",
"email"=>"5858xxxxxxxx-compute@developer.gserviceaccount.com"”,
"key_path"=>"/usr/share/foreman/HS-Legal-Provision-12f24752b7a2.p12", "zone"=>"europe-west1-d"}, "commit"=>"Submit"}
2016-03-13 11:42:18 [app] [I] Failed to save: URL can't be blank

2016-03-13 11:42:19 [app] [I] Rendered compute_resources/form/_gce.html.erb (685.0ms)

2016-03-13 11:42:19 [app] [I] Rendered compute_resources/_form.html.erb (688.4ms)

2016-03-13 11:42:19 [app] [I] Rendered compute_resources/new.html.erb within layouts/application (688.7ms)

2016-03-13 11:42:19 [app] [I]] Rendered layouts/_application_content.html.erb (0.2ms)

2016-03-13 11:42:19 [app] [I] Rendered home/_user_dropdown.html.erb (1.1ms)

2016-03-13 11:42:19 [app] [I] Read fragment views/tabs_and_title_records-3 (0.1ms)

2016-03-13 11:42:19 [app] [I] Rendered home/_topbar.html.erb (1.9ms)

2016-03-13 11:42:19 [app] [I] Rendered layouts/base.html.erb (2.6ms)

2016-03-13 11:42:19 [app] [I] Completed 200 OK in 706ms (Views: 692.5ms | ActiveRecord: 1.1ms)

I am using Centos 7.2.1511 on google cloud compute itself. The install of foreman is intended to act as master for other hosts to be
provisioned on gce. Ruby version- 2.0.0.598-25.el7_1

Also | run the following in the startup-script metadata on this foreman install to set persistent hostname to my domain.
hostnamectl set-hostname subdomain.mydomain.co.uk

Related issues:
Related to Foreman - Bug #7568: Use attr_accessible for rails 4 upgrade Closed 09/22/2014
Revision 7¢9391e6 - 03/14/2016 11:44 AM - Dominic Cleal

fixes #14170 - permit 'zone' parameter for GCE CR creation

Revision c¢3dc81a5 - 03/22/2016 01:15 PM - Dominic Cleal

fixes #14170 - permit 'zone' parameter for GCE CR creation

(cherry picked from commit 7¢9391e615812c629acef99405af2cafde5f4cte)

History

#1 - 03/14/2016 04:30 AM - Dominic Cleal

- translation missing: en.field_release set to 71

#2 - 03/14/2016 09:17 AM - Dominic Cleal
- Related to Bug #7568: Use attr_accessible for rails 4 upgrade added

#3 - 03/14/2016 09:18 AM - Dominic Cleal
- Status changed from New to Assigned

- Assignee set to Dominic Cleal

#4 - 03/14/2016 09:19 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3320 added

#5 - 03/14/2016 12:02 PM - Dominic Cleal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 7¢9391e615812c629acef99405af2cafdeSf4cte.

#6 - 03/14/2016 01:04 PM - Aanjaneya Mishra
Thanks will apply the patch and test.
